public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/zig/
Date: Wed, 13 Dec 2023 07:47:40 +0000 (UTC)	[thread overview]
Message-ID: <1702453643.ff13cba4edbd2a712f1d863b96fa549f74a9e91b.flow@gentoo> (raw)

commit:     ff13cba4edbd2a712f1d863b96fa549f74a9e91b
Author:     Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
AuthorDate: Tue Dec 12 14:35:44 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Dec 13 07:47:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff13cba4

dev-lang/zig: remove ".max_rss" fields initializers from build.zig in 9999

They are too high and cause errors like below:
 * https://www.github.com/ziglang/zig/issues/18263

Signed-off-by: Eric Joldasov <bratishkaerik <AT> getgoogleoff.me>
Closes: https://github.com/gentoo/gentoo/pull/34252
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-lang/zig/zig-9999.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dev-lang/zig/zig-9999.ebuild b/dev-lang/zig/zig-9999.ebuild
index 6e98f73a3af4..a29f09a3db19 100644
--- a/dev-lang/zig/zig-9999.ebuild
+++ b/dev-lang/zig/zig-9999.ebuild
@@ -148,6 +148,11 @@ src_configure() {
 }
 
 src_compile() {
+	# Remove "limit memory usage" flags, it's already verified by
+	# CHECKREQS_MEMORY and causes unneccessary errors. Upstream set them
+	# according to CI OOM failures, which are higher than during Gentoo build.
+	sed -i -e '/\.max_rss = .*,/d' build.zig || die
+
 	if ! use llvm; then
 		$(tc-getCC) -o bootstrap bootstrap.c || die "Zig's bootstrap.c compilation failed"
 		edob ./bootstrap


             reply	other threads:[~2023-12-13  7:47 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-13  7:47 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21  7:41 [gentoo-commits] repo/gentoo:master commit in: dev-lang/zig/ Michał Górny
2024-08-05  7:38 Joonas Niilola
2024-05-20  7:49 Sam James
2024-05-20  7:49 Sam James
2024-05-19 15:21 Sam James
2024-02-28  9:12 Florian Schmaus
2024-02-11 16:02 Michał Górny
2023-11-22 11:38 Sam James
2023-09-26 15:54 Sam James
2023-08-25  3:58 Jakov Smolić
2023-07-27 11:45 Sam James
2023-07-26  3:33 Sam James
2023-05-13  3:28 Sam James
2023-05-13  3:28 Sam James
2023-04-07  4:19 Michał Górny
2023-03-10  7:00 Florian Schmaus
2023-03-09 17:56 Florian Schmaus
2023-03-09 10:54 Florian Schmaus
2023-03-09 10:54 Florian Schmaus
2023-03-09 10:54 Florian Schmaus
2023-01-20  3:54 Sam James
2023-01-20  1:17 Sam James
2023-01-14 19:17 Sam James
2022-12-14  9:20 Sam James
2022-11-08  4:09 Sam James
2022-11-07  6:52 Sam James
2022-11-07  6:52 Sam James
2022-10-30  9:40 Sam James
2022-10-20 23:34 Sam James
2022-10-15 15:18 Sam James
2022-09-19  3:40 Sam James
2022-08-22  8:18 Jakov Smolić
2022-08-22  8:18 Jakov Smolić
2022-05-27  7:45 Joonas Niilola
2022-05-27  7:45 Joonas Niilola
2022-04-30  8:13 Joonas Niilola
2022-04-17 20:05 Sam James
2022-03-29 10:50 Ionen Wolkens
2022-03-29  7:20 Joonas Niilola
2022-03-28  7:51 Florian Schmaus
2022-03-28  7:50 Florian Schmaus
2022-03-08 13:17 Florian Schmaus
2021-12-25 17:27 Arthur Zamarin
2021-12-25 10:21 Sam James
2021-12-25 10:20 Sam James
2021-11-21  9:52 Michał Górny
2021-11-05 13:39 罗百科
2021-10-30 23:32 Sam James
2021-10-30 23:32 Sam James
2021-07-03 15:46 Joonas Niilola
2021-07-03 15:46 Joonas Niilola
2021-07-03 15:46 Joonas Niilola
2021-03-06 12:25 Michał Górny
2021-03-04 17:42 Joonas Niilola
2021-01-04  2:10 Matt Turner
2020-01-06 12:23 Andreas Sturmlechner
2019-10-01  6:14 Joonas Niilola
2019-09-20 16:18 Joonas Niilola
2019-09-08 15:59 Joonas Niilola
2019-08-07 18:28 Joonas Niilola
2019-08-02  9:07 Joonas Niilola
2019-08-02  8:37 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1702453643.ff13cba4edbd2a712f1d863b96fa549f74a9e91b.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox